Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.app.fleetit.com/v2/integrations/logs/ \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.app.fleetit.com/v2/integrations/logs/" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.app.fleetit.com/v2/integrations/logs/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.app.fleetit.com/v2/integrations/logs/", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.app.fleetit.com/v2/integrations/logs/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.app.fleetit.com/v2/integrations/logs/") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.app.fleetit.com/v2/integrations/logs/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "count": 1, "next": "http://api.app.fleetit.com/v2/integrations/logs/?integration=123&limit=10&offset=10", "previous": null, "results": [ { "id": 123456, "integration": 49, "timestamp": "2024-05-05T21:09:01.685651-04:00", "direction": "Receiving", "success": true, "response": { "message": "Success", "vehicles_updated": 2, "new_vehicles_added": 0, "unable_to_find_states": 0, "total_vehicles_fetched": 6178, "belongs_to_different_fleet": 6176 }, "details": { "payload": null, "error": null }, "entity_type": "Vehicle", "entity_id": null } ] }
A viewset for listing and retrieving CustomerLog instances. with filtering capabilities.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
ID of the integration to filter
Boolean
Where Choices Includes (1, Ticket), (2, Parking), (3, Violation), (4, Vehicle), (5, Transponder), (6, Authentication)
Date in YYYY-MM-DD format
ID of the Entity you want to search for. e.g Ticket ID, Parking ID.
Successful response
Total number of matching logs
100
URL to the next page of results
"http://api.app.fleetit.com/v2/integrations/logs/?limit=10&offset=10"
URL to the previous page of results
null
Show child attributes
Was this page helpful?